﻿@model MvcWebsiteOcc.Areas.administrators.Models.StatusOrder

@{
    ViewBag.Title = "Chỉnh sửa trạng thái lệnh đặt xe";
    ViewBag.Description = "tin bài";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    MvcWebsiteOcc.Areas.administrators.Models.BooksService linkObj = ViewBag.LinkObj;
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <input type="hidden" id="editID" name="editID" value="@Model.StaID" />
    @Html.HiddenFor(m => m.StaID)
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/bookcars_manager/bookstatus_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        @*<button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>*@
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                <ul class="nav nav-tabs  tabs-flat">
                                    <li class="active"><a data-toggle="tab" href="#info" aria-expanded="false">Thông tin chung</a></li>
                                    @*<li class=""><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">
                                            <img src="/Uploaded/images/language/@lang.Lang_Flag">
                                            @lang.Lang_Name</a></li>  *@
                                </ul>
                                <div class="tab-content  tabs-flat">
                                    <div class="tab-pane active" id="info">
                                        <div id="registration-form">
                                            <div class="row">
                                                <div class="tabbable col-lg-7 col-sm-7 col-xs-12">
                                                    <div class="form-title">
                                                        Thông tin
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.StaName)</label>

                                                        @Html.TextBoxFor(p => p.StaName, new { @class = "form-control" })

                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaName)</span>
                                                    </div>

                                                </div>


                                                <div class="tabbable col-lg-5 col-sm-5 col-xs-12">
                                                     <div class="form-title">
                                                        Màu sắc
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                             @Html.HiddenFor(m=>m.Color)
                                                            <div class="list_border" style="padding: 10px;">
                                                                 <div class="col-lg-3 col-sm-3 col-xs-6">
                                                                    <div class="control-group ">
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-default" name="Color" type="radio" value="label-default" >
                                                                                <span class="text">
                                                                                    <span class="label label-default" style="position: relative; width: 50px; height: 20px">1</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-primary" name="Color" type="radio"  value="label-primary">
                                                                                <span class="text">
                                                                                    <span class="label label-primary" style="position: relative; width: 50px; height: 20px">2</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-info" name="Color" type="radio" value="label-info">
                                                                                <span class="text">
                                                                                    <span class="label label-info" style="position: relative; width: 50px; height: 20px">3</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-success" name="Color" type="radio" value="label-success">
                                                                                <span class="text">
                                                                                    <span class="label label-success" style="position: relative; width: 50px; height: 20px">4</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-danger" name="Color" type="radio" value="label-danger">
                                                                                <span class="text">
                                                                                    <span class="label label-danger" style="position: relative; width: 50px; height: 20px">5</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-lg-3 col-sm-3 col-xs-6">
                                                                    <div class="control-group ">
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-warning" name="Color" type="radio" value="label-warning" >
                                                                                <span class="text">
                                                                                    <span class="label label-warning" style="position: relative; width: 50px; height: 20px">6</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-sky" name="Color" type="radio"  value="label-sky">
                                                                                <span class="text">
                                                                                    <span class="label label-sky" style="position: relative; width: 50px; height: 20px">7</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-blueberry" name="Color" type="radio" value="label-blueberry">
                                                                                <span class="text">
                                                                                    <span class="label label-blueberry" style="position: relative; width: 50px; height: 20px">8</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-yellow" name="Color" type="radio" value="label-yellow">
                                                                                <span class="text">
                                                                                    <span class="label label-yellow" style="position: relative; width: 50px; height: 20px">9</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                       
                                                                    </div>
                                                                </div>
                                                                   <div class="col-lg-3 col-sm-3 col-xs-6">
                                                                    <div class="control-group ">
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-darkorange" name="Color" type="radio" value="label-darkorange" >
                                                                                <span class="text">
                                                                                    <span class="label label-darkorange" style="position: relative; width: 50px; height: 20px">10</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-magenta" name="Color" type="radio"  value="label-magenta">
                                                                                <span class="text">
                                                                                    <span class="label label-magenta" style="position: relative; width: 50px; height: 20px">11</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-purple" name="Color" type="radio" value="label-purple">
                                                                                <span class="text">
                                                                                    <span class="label label-purple" style="position: relative; width: 50px; height: 20px">12</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-maroon" name="Color" type="radio" value="label-maroon">
                                                                                <span class="text">
                                                                                    <span class="label label-maroon" style="position: relative; width: 50px; height: 20px">13</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                       
                                                                    </div>
                                                                </div>
                                                                  <div class="col-lg-3 col-sm-3 col-xs-6">
                                                                    <div class="control-group ">
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-darkpink" name="Color" type="radio" value="label-darkpink" >
                                                                                <span class="text">
                                                                                    <span class="label label-darkpink" style="position: relative; width: 50px; height: 20px">14</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-pink" name="Color" type="radio"  value="label-pink">
                                                                                <span class="text">
                                                                                    <span class="label label-pink" style="position: relative; width: 50px; height: 20px">15</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-azure" name="Color" type="radio" value="label-azure">
                                                                                <span class="text">
                                                                                    <span class="label label-azure" style="position: relative; width: 50px; height: 20px">16</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                        <div class="radio">
                                                                            <label>
                                                                                <input class="colored-danger" id="label-orange" name="Color" type="radio" value="label-orange">
                                                                                <span class="text">
                                                                                    <span class="label label-orange" style="position: relative; width: 50px; height: 20px">17</span>
                                                                                </span>
                                                                            </label>
                                                                        </div>
                                                                       
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-title">
                                                        Vị trí
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">

                                                            <div class="form-group">

                                                                @Html.TextBoxFor(p => p.SortOrder, new { @class = "form-control" })
                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.SortOrder)</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-title">
                                                        Trạng thái
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                @{if (Model.IsActive == true)
                                                                  {      
                                                                    <div class="checkbox">
                                                                        <label>
                                                                            <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" checked="checked" />
                                                                            <input type="hidden" value="false" /><span class="text">Sử dụng</span></label>
                                                                    </div>
                                                                          
                                                                  }
                                                                  else
                                                                  {
                                                                    <div class="checkbox">
                                                                        <label>
                                                                            <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" />
                                                                            <input type="hidden" value="false" /><span class="text">Sử dụng</span></label>
                                                                    </div>
                                                                  }}

                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>

                                            </div>

                                        </div>
                                    </div>


                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<script>



    function onSelectFile(e) {
        var files = e.files;

        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.doc', '.docx', '.xls', '.xlsx', '.pdf', '.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');

                e.preventDefault();
                $('#modal-warning-file').modal('show')
            }
        });

        function appendText() {

        }

    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
            }

        });



        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>


<div class="modal fade modal-message modal-warning" id="modal-warning-file" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .doc, .docx, .xls, .xlsx, .pdf, .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>



@section PageScripts{

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <script>

        $('.textAuto').autosize({ append: "\n" });

        $(document).ready(function () {
            var color = $('#Color').val();
            var $radios = $('input:radio[id=' + color + ']');
            $radios.prop('checked', true);
        });

        //$('select[id=Lang_ID]').change(function () {
        //    $('')
        //    alert($(this).val()
        //        );
        //});


        //$('#Lang_ID').change(function () {
        //    /* Get the selected value of dropdownlist */
        //    var langIDS = $(this).val();
        //    $('#selectLang').val = langIDS;
        //    $("#dvCategoryResults").load('/administrators/department_manager/_staff_deps_add?langID=' + langIDS);
        //    //$("#dvPositionResults").load('/administrators/department_manager/_staff_position_add?langID=' + langIDS);

        //});

        //$('#DepID').change(function () {
        //    /* Get the selected value of dropdownlist */
        //    var depIDS = $(this).val();
        //    var langDef = $('#langADD').val();
        //    var linkID = $('#linkIDA').val();
        //    $("#dvPositionResults").load('/administrators/department_manager/_staff_position_add?depID=' + depIDS + '&langID=' + langDef + '&linkID=' + linkID);

        //});

        $(document).ready(function () {
            $("#orders").addClass("active open");
            $("#bookstatus").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        $(document).ready(function () {
            $('.summernote').summernote({
                onImageUpload: function (files, editor, welEditable) {
                    sendFile(files[0], editor, welEditable);
                }
            });
            function sendFile(file, editor, welEditable) {
                data = new FormData();
                data.append("file", file);//You can append as many data as you want. Check mozilla docs for this
                url = '/administrators/news_manager/uploadImageNews';
                $.ajax({
                    data: data,
                    dataType: 'json',
                    type: "POST",
                    url: url,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (imageUrl) {
                        editor.insertImage(welEditable, imageUrl);
                    },
                    error: function () {
                        alert(file);
                    }
                });
            }
        });

    </script>

}